#include <PSX/System/IOPorts/dma_io.hpp>

namespace JabyEngine {
    namespace boot {
        namespace DMA {
            void setup() {
                static constexpr auto EnableDMA = DMA_IO::DPCR::from(DMA_IO::DPCR::SPUEnable, DMA_IO::DPCR::GPUEnable, DMA_IO::DPCR::CDROMEnable);
                
                DMA_IO::DPCR.write(EnableDMA);
            }
        }
    }
}